Bug 373781 - dependancy issues while yup upgrading from f7 -> f8
dependancy issues while yup upgrading from f7 -> f8
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-09 16:07 EST by Pitam
Modified: 2014-01-21 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-31 09:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pitam 2007-11-09 16:07:12 EST
These are the dependancy and other issues while making a yum upgrade from f7 -> f8

1. libtirpc may beoutdated, the new one does not require some files whic are
reported as missing:

yum update nfs*
Loading "refresh-updatesd" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package nfs-utils.i386 1:1.1.0-6.fc8 set to be updated
--> Processing Dependency: libgssglue.so.1(libgssapi_CITI_2) for
package: nfs-utils
--> Processing Dependency: libgssglue.so.1 for package: nfs-utils
--> Processing Dependency: libgssglue for package: nfs-utils
---> Package nfs-utils-lib.i386 0:1.1.0-3.fc8 set to be updated
--> Running transaction check
---> Package libgssglue.i386 0:0.1-4.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

Package Arch Version Repository Size
nfs-utils i386 1:1.1.0-6.fc8 fedora
262 k
nfs-utils-lib i386 1.1.0-3.fc8 fedora
59 k
Installing for dependencies:
libgssglue i386 0.1-4.fc8 fedora
21 k

Transaction Summary
Install 1 Package(s)
Update 2 Package(s)
Remove 0 Package(s)

Total download size: 342 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package libtirpc needs libgssapi.so.2, this is not available.
Package libtirpc needs libgssapi.so.2(libgssapi_CITI_2), this is not


rpm -e libtirpc --nodeps
yum update nfs*
yum install libtirpc

2.  the package system-config-securitylevel conflicts with

Steps to reproduce: yum install system-config-firewall


rpm -e system-config-securitylevel --nodeps
yum install system-config-firewall
Comment 1 Seth Vidal 2007-12-06 23:03:25 EST
If you update to yum 3.2.8 in f7 does this get better?
Comment 2 Jeremy Katz 2007-12-31 09:54:30 EST
Closing due to inactivity.  Please reopen or file a new bug if you have further
information to add to this bug report

Note You need to log in before you can comment on or make changes to this bug.